# QPrintPreviewDialog Class Reference

### [com.trolltech.qt.gui package]

Inherits QDialog.

### Constructor

- void QPrintPreviewDialog(QPrinter printer, QWidget parent, WindowFlags flags)
- void QPrintPreviewDialog(QWidget parent, WindowFlags flags)

### Constructor Properties

- prototype: The QPrintPreviewDialog prototype object

### Prototype Object Properties

The QPrintPreviewDialog prototype object inherits properties from the QDialog prototype object and also has the following properties.

- void open(QObject receiver, char member)
- QPrinter printer()

### Instance Properties

QPrintPreviewDialog objects have no special properties beyond those inherited from the QPrintPreviewDialog prototype object.